from BeautifulSoup import BeautifulSoup as bs

import urllib2
import csv
import collections
import sqlite3

#c.execute("create table card (nome text, sigla text, tipo text, mana text, raridade text)")
conn = sqlite3.connect('database.db')

c = conn.cursor()

c.execute("select sigla, total from colecao")
colecoes = c.fetchall()
#print colecoes
localizadas = []
for i in colecoes:
	c.execute("select count(*) from card where sigla = ?", [ i[0] ])
	total = c.fetchone()
	if int( i[1] ) <> int(total[0] ):
		print i[1], total[0]
		localizadas.append( i[0] )
		
print len(localizadas), 'colecoes para pesquisar'

for sigla in localizadas:
	page = urllib2.urlopen("http://www.magiccards.info/%s/en.html" % sigla)
	texto = page.read()
	page.close()
	soup = bs(texto)
	linhas2 = soup.findAll('tr', {'class':'odd'})
	linhas1 = soup.findAll('tr', {'class':'even'})
	linhas2.extend(linhas1)
	for linha in linhas2:
		numero = linha.contents[1].contents[0]
		nome = linha.contents[3].contents[0].contents[0]
		tipo = linha.contents[5].contents[0]
		try:
			mana = linha.contents[7].contents[0]
		except IndexError:
			mana = ""
		raridade = linha.contents[9].contents[0]
		page = urllib2.urlopen("http://www.magiccards.info/%s/en/%s.html" % (sigla, numero))
		texto = page.read()
		page.close()
		soup = bs(texto)
		descricao = soup.find('p',{'class':'ctext'})
		try:
			texto_da_carta = descricao.contents[0].contents[0]
		except IndexError:
			texto_da_carta = ""
		tupla = nome, sigla, numero, tipo, mana, raridade, texto_da_carta
		print tupla
		c.execute("select * from card where nome = ? and numero = ? ", (nome, numero))
		if not c.fetchone():
			if u"Missing!" in unicode(tupla[3]):
				tupla = nome, sigla, numero, '', mana, raridade, texto_da_carta
			print 'cadastrando'
			c.execute("insert into card (nome, sigla, numero, tipo, mana, raridade, texto) values (?,?,?,?,?,?,?)", tupla)
			conn.commit()
		else:
			print 'jah existe'
c.close()