#!/usr/bin/python
from glob import glob
import os
import distribute_setup
distribute_setup.use_setuptools()
from setuptools import setup, find_packages

setup(
	name='Decken',
	version='0.2.10',
	install_requires=["BeautifulSoup"],
	package_data = {'decken': ['*.glade']},
	packages = find_packages(),
	scripts = ['bin/decken_script', 'bin/decken_n800'],
	
	
	author='Claudio Torcato',
	author_email='claudiotorcato@gmail.com',
	description='Deck Organizer to Trading Card Games',
	long_description= open('README.txt').read(),
	license='LICENSE.txt',
	keywords = "tcg mtg magic deck card python gnome linux mac n800"
)