from BeautifulSoup import BeautifulSoup as bs

import csv
import collections
import sqlite3

conn = sqlite3.connect('database.db')

c = conn.cursor()

ColecaoRegister = collections.namedtuple('ColecaoRegister','nome, sigla')
for carta in map(ColecaoRegister._make, csv.reader(open('colecoes.csv'), delimiter = '\t')):
	c.execute("insert into colecao (descricao, sigla) values (?,?)", (carta.nome, carta.sigla))
conn.commit()
c.close()